package com.unis.base.server.service;

import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.Page;
import com.unis.base.common.vo.DqyxxckVO;

/**
 * @author lidiaoquan
 * @version 1.0
 * @Title: DqyxxckService
 * @Description:储备粮企业信息查看
 * @date 2019年12月7日 下午5:01:48
 */
public interface DqyxxckService {

	/**
	 * 根据企业名称获取-仓房-相关企业列表
	 * @param qymc
	 * @return
	 */
	Page<DqyxxckVO> getCfQyxxList(DqyxxckVO vo, Integer pageNum, Integer pageSize);

	/**
	 * 根据企业名称获取-设备-相关企业列表
	 * @param qymc
	 * @return
	 */
	Page<DqyxxckVO> getSbQyxxList(DqyxxckVO vo, Integer pageNum, Integer pageSize);

	/**
	 * 根据企业名称获取-药剂-相关企业列表
	 * @param qymc
	 * @return
	 */
	Page<DqyxxckVO> getYpQyxxList(DqyxxckVO vo, Integer pageNum, Integer pageSize);

	/**
	 * 根据企业名称获取-人员-相关企业列表
	 * @param qymc
	 * @return
	 */
	Page<DqyxxckVO> getRyQyxxList(DqyxxckVO vo, Integer pageNum, Integer pageSize);

	/**
	 * 根据企业名称获取-人员-相关企业列表
	 * @param qymc
	 * @return
	 */
	Page<DqyxxckVO> getYgQyxxList(DqyxxckVO vo, Integer pageNum, Integer pageSize);

    Integer getRyTotal(DqyxxckVO vo);

    JSONObject getCfQyxxTotal(DqyxxckVO vo);
}
